=== OpenSceneGraph/applications/osgarchive/CMakeLists.txt ===
SET(TARGET_SRC osgarchive.cpp )

SETUP_APPLICATION(osgarchive)
