=== OpenSceneGraph/examples/osganimationnode/CMakeLists.txt ===
SET(TARGET_SRC osganimationnode.cpp )
SET(TARGET_ADDED_LIBRARIES osgAnimation )
SETUP_EXAMPLE(osganimationnode)
