=== OpenSceneGraph/examples/osgcubemap/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgcubemap.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgcubemap)
