=== OpenSceneGraph/examples/osgframerenderer/CMakeLists.txt ===
SET(TARGET_SRC
    CameraPathProperty.cpp
    CameraProperty.cpp
    CaptureSettings.cpp
    EventProperty.cpp
    osgframerenderer.cpp
    UpdateProperty.cpp
)

#### end var setup  ###
SETUP_EXAMPLE(osgframerenderer)
