=== OpenSceneGraph/examples/osgimagesequence/CMakeLists.txt ===
SET(TARGET_SRC osgimagesequence.cpp )

#### end var setup  ###
SETUP_EXAMPLE(osgimagesequence)
