=== OpenSceneGraph/examples/osgmultitexture/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgmultitexture.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgmultitexture)
