=== OpenSceneGraph/examples/osgoscdevice/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgoscdevice.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgoscdevice)
