=== OpenSceneGraph/examples/osgtexturecompression/CMakeLists.txt ===
SET(TARGET_SRC osgtexturecompression.cpp )

SETUP_EXAMPLE(osgtexturecompression)
