=== debian/changelog ===
openscenegraph (3.2.0~rc1-4ubuntu0.1) trusty; urgency=low

  * Add support for building on armhf by building with OpenGL ES 2.0
    (LP: #1284190).
  * Backport part of a commit to not build osgframerenderer example.
  * Add change-typedef.patch to fix conflicting typedefs for GLdouble
    with OpenGL ES 2.0
  * Exclude freeglut3-dev from dependencies for armhf
  * Add patch to fix FreeType library detection (LP: #1339264).

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 06 Aug 2014 17:41:46 -0500

openscenegraph (3.2.0~rc1-4) unstable; urgency=low

  * Added patch for fixing a multithreading initialization bug in the
    inventor plugin (LP: #1211993).
  * Closing bug about conflicting files in 3.2.0-rc1 and 3.2.0 since next
    version to be packaged is 3.2.1 (Closes: #722674).

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 17 Feb 2014 23:36:07 +0100

openscenegraph (3.2.0~rc1-3) unstable; urgency=low

  * Fix for texture corruption. Thanks Rebecca Palmer for the patch and
    testing and Markus Wanner for additional testing (Closes: #736350).
  * Now depends on xinelib 1.2 (Closes: #724753).

 -- Alberto Luaces <aluaces@udc.es>  Fri, 24 Jan 2014 21:09:56 +0100

openscenegraph (3.2.0~rc1-2) unstable; urgency=medium

  * Add osg_libav9.patch to fix a FTBFS with newer ffmpeg/libav.  Thanks
    Rebecca N. Palmer for the report and the patch. (Closes: #720816)
  * Refresh all patches

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 15 Jan 2014 20:16:35 +0000

openscenegraph (3.2.0~rc1-1) unstable; urgency=low

  [Alberto Luaces]
  * New upstream release.
  * Updated standards version (3.9.4).
  * Updated SVN URL.
  * Removed the static version of the libraries since they impose a huge
    load on the build servers, add additional complexity on the build
    scripts, and make a great impact on the size of the packages, given
    the very small cases where they are useful.
  * Acknowledge NMU.

  [ Manuel A. Fernandez Montecelo ]
  * Switch to @debian.org address

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 30 Jul 2013 13:07:57 +0000

openscenegraph (3.0.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libocin60-dev by libcoin80-dev for transition.

 -- Anton Gladky <gladk@debian.org>  Sun, 09 Jun 2013 11:49:44 +0200
