=== debian/watch ===
version=3

http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-([\d\.]*)/source/OpenSceneGraph-([\d\.]*)\.zip
